RPI-EEPROM-UPDATE(1)

NAME
rpi-eeprom-update - Checks whether the Raspberry Pi bootloader EEPROM is up-to-date and updates the EEPROM

DESCRIPTION
rpi-eeprom-update [options]... [FILE]

    Checks whether the Raspberry Pi bootloader and the VL805 USB controller EEPROMs are up-to-date and optionally updates the EEPROMs at the next reboot.

    The default update mechanism writes recovery.bin and the EEPROM update image(s) (pieeprom.upd and vl805.bin) to the boot partition on the sd-card. The SHA256 hash of the corresponding images are written to pieeprom.sig and/or vl805.sig. This guards against file system corruption which could cause the EEPROM to be flashed with an invalid image. This is is not a security check.

    At the next reboot the ROM runs recovery.bin which updates EEPROM(s). If the update was successful recovery.bin renames itself to recovery.000 to prevent it from running a second time then resets the system. The system should then boot normally.

    If /boot does not correspond to the boot partition on the sd-card and this is not a NOOBS system then the mount point for BOOTFS should be defined in /etc/default/rpi-eeprom-update by defining the BOOTFS variable.

    For reference, the flashrom update mechanism may be enabled by defining USE_FLASHROM=1 in /etc/default/rpi-eeprom-update. This not recommended because the SPI pins are muxed with audio and other device drivers may be using SPI (e.g. HATs). This is also not safe in the event of a power failure during the update of the EEPROM.

    A backup of the current EEPROM config file is written to /var/lib/raspberrypi/bootloader/backup before applying the update.

-a Automatically install bootloader and USB (VLI) EEPROM updates.

-A Specify which type of EEPROM to automatically update (vl805 or bootloader)

-d Use the default bootloader config instead of migrating the current settings

-f Install the given file instead of the latest applicable update

    Ignores the FREEZE_VERSION flag in bootloader and is intended for manual firmware updates. WARNING: This command should only be run from console mode in order to avoid conflicts/deadlock with dtoverlay/dtparam settings.

-h Display help text and exit

-j Write status information using JSON notation

-m Write status information to the given file when run without -a or -f

-u Install the specified VL805 (USB EEPROM) image file.

    To extract the configuration file from an EEPROM image: rpi-eeprom-config pieeprom.bin --out bootconf.txt

    To update the configuration file in an EEPROM image: rpi-eeprom-config pieeprom.bin --config bootconf.txt --out pieeprom-new.bin

    To flash the new image: sudo rpi-eeprom-update -d -f ./pieeprom-new.bin

    The syntax is the same as config.txt but section filters etc are not supported. See online documentation for the list of parameters.

    The official documentation for the Raspberry Pi bootloader EEPROM is available at https://www.raspberrypi.org/documentation/hardware/raspberrypi/booteeprom.md